Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"

  config.vm.provider "virtualbox" do |v|
    v.name = "pp-vm"
    v.gui = true
    v.memory = 2048
    v.customize ['modifyvm', :id, '--clipboard', 'bidirectional']
    v.customize ['storageattach', :id, 
                 '--storagectl', 'IDE',
                 '--port', '0', '--device', '1',
                 '--type', 'dvddrive',
                 '--medium', 'emptydrive']
  end



  # Do the rest of the provisioning using ansible
  config.vm.provision :ansible, playbook: "../playbooks-pp/master.yml"

  config.vm.provision :reload
end
